Buf(1)

NAME
buf-beta-studio-agent - Run an HTTP(S) server as the Studio agent

SYNOPSIS
buf beta studio-agent [flags]

DESCRIPTION
Run an HTTP(S) server as the Studio agent

OPTIONS
--bind="127.0.0.1"
    The address to be exposed to accept HTTP requests

--ca-cert=""
    The CA cert to be used in the client and server TLS configuration

--client-cert=""
    The cert to be used in the client TLS configuration

--client-key=""
    The key to be used in the client TLS configuration

--disallowed-header=[]
    The header names that are disallowed by this agent. When the agent receives an enveloped request with these headers set, it will return an error rather than forward the request to the target server. Multiple headers are appended if specified multiple times

--forward-header=[]
    The headers to be forwarded via the agent to the target server. Must be an equals sign separated key-value pair (like --forward-header=fromHeader1=toHeader1). Multiple header pairs are appended if specified multiple times

-h, --help[=false]
    help for studio-agent

--origin="https://buf.build"
    The allowed origin for CORS options

--port="8080"
    The port to be exposed to accept HTTP requests

--private-network[=false]
    Use the agent with private network CORS

--server-cert=""
    The cert to be used in the server TLS configuration

--server-key=""
    The key to be used in the server TLS configuration

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=0s
    The duration until timing out, setting it to 0 means no timeout

SEE ALSO
buf-beta(1)

HISTORY
2026-04-22 Auto generated by spf13/cobra